Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.locpath
Class Test

    java.lang.Object
      org.basex.query.xpath.locpath.Test

Direct Known Subclasses:
  TestName, TestNode, TestPI

    public abstract class Test

extends java.lang.Object

Abstract NodeTest. Can be a node name test, node type test, ...

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Tim Petrowsky

Constructor Summary
`Test()`

Method Summary
`void` | `compile(Data data)` Optimizes the expression.
`abstract boolean` | `eval(Data data, int pre, int kind)` Evaluates a node test.
`void` | `eval(Data data, int pre, int kind, NodeBuilder result)` Evaluates a node test.
`abstract boolean` | `sameAs(Test test)` Checks current and specified class for equivalence.
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Test

    public Test()

Method Detail

### compile

    public void compile(Data data)

  Optimizes the expression.

  Parameters:
    `data` - data reference

### eval

    public abstract boolean eval(Data data,
                                 int pre,
                                 int kind)

  Evaluates a node test.

  Parameters:
    `data` - data reference
    `pre` - pre value
    `kind` - node kind
  Returns:
    result of evaluation

### eval

    public final void eval(Data data,
                           int pre,
                           int kind,
                           NodeBuilder result)

  Evaluates a node test.

  Parameters:
    `data` - data reference
    `pre` - pre value
    `kind` - node kind
    `result` - result nodes

### sameAs

    public abstract boolean sameAs(Test test)

  Checks current and specified class for equivalence.

  Parameters:
    `test` - node test to be compared
  Returns:
    result of check

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD